List a trader's on-chain sessions
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.testnet.tayho.io/v1/traders/{address}/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.testnet.tayho.io/v1/traders/{address}/sessions \
--header 'X-API-Key: <api-key>'{
"data": {
"consumedOcoGroups": [
{
"blockNumber": "<string>",
"blockTimestamp": "<string>",
"id": "<string>",
"logIndex": 1,
"ocoGroup": "<string>",
"sessionKey": "<string>",
"trader": "<string>",
"transactionHash": "<string>"
}
],
"sessions": [
{
"active": true,
"expiresAt": "<string>",
"generation": "<string>",
"id": "<string>",
"maxOrderQWad": "<string>",
"maxSpendTokens": "<string>",
"sessionKey": "<string>",
"spentTokens": "<string>",
"trader": "<string>",
"updatedAt": "<string>",
"updatedBlock": "<string>",
"updatedTransactionHash": "<string>"
}
]
}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}List a trader's on-chain sessions
GET
/
v1
/
traders
/
{address}
/
sessions
List a trader's on-chain sessions
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.testnet.tayho.io/v1/traders/{address}/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.testnet.tayho.io/v1/traders/{address}/sessions \
--header 'X-API-Key: <api-key>'{
"data": {
"consumedOcoGroups": [
{
"blockNumber": "<string>",
"blockTimestamp": "<string>",
"id": "<string>",
"logIndex": 1,
"ocoGroup": "<string>",
"sessionKey": "<string>",
"trader": "<string>",
"transactionHash": "<string>"
}
],
"sessions": [
{
"active": true,
"expiresAt": "<string>",
"generation": "<string>",
"id": "<string>",
"maxOrderQWad": "<string>",
"maxSpendTokens": "<string>",
"sessionKey": "<string>",
"spentTokens": "<string>",
"trader": "<string>",
"updatedAt": "<string>",
"updatedBlock": "<string>",
"updatedTransactionHash": "<string>"
}
]
}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}Authorizations
Tayho project API key with the scope declared by the operation.
Path Parameters
Pattern:
^0x[0-9a-fA-F]{40}$Example:
"0x1111111111111111111111111111111111111111"
Query Parameters
Pattern:
^(?:[1-9]|[1-9][0-9]|100)$Response
Successful response.
Show child attributes
Show child attributes
Last modified on July 23, 2026
⌘I